%define _mozillapluginpath	/usr/lib/mozilla/plugins

Summary:	A browser plugin to allow playing embedded movies on web pages
Name:		mplayerplugin
Version:	3.55
Release:	%mkrel 7
License:	GPLv2+
Group:		Networking/WWW
URL:		http://mplayerplug-in.sourceforge.net
Source0:	http://heanet.dl.sourceforge.net/sourceforge/mplayerplug-in/mplayerplugin-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	mplayer
Obsoletes: 	%{name} < %version

%description
Mplayerplug-in is a Netscape/Mozilla browser plugin to allow
playing embedded movies on web pages.

%prep
%setup -qn mplayerplugin-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir} \
	%{buildroot}%{_mozillapluginpath} 

install -m 755 mplayerplug-in-dvx.so %{buildroot}%{_mozillapluginpath}
install -m 644 mplayerplug-in-dvx.xpt %{buildroot}%{_mozillapluginpath}

install -m 755 mplayerplug-in-qt.so %{buildroot}%{_mozillapluginpath}
install -m 644 mplayerplug-in-qt.xpt %{buildroot}%{_mozillapluginpath}

install -m 755 mplayerplug-in-rm.so %{buildroot}%{_mozillapluginpath}
install -m 644 mplayerplug-in-rm.xpt %{buildroot}%{_mozillapluginpath}

install -m 755 mplayerplug-in-wmp.so %{buildroot}%{_mozillapluginpath}
install -m 644 mplayerplug-in-wmp.xpt %{buildroot}%{_mozillapluginpath}

install -m 755 mplayerplug-in.so %{buildroot}%{_mozillapluginpath}
install -m 644 mplayerplug-in.xpt %{buildroot}%{_mozillapluginpath}

install -m 644 mplayerplug-in.types %{buildroot}%{_sysconfdir}
install -m 644 mplayerplug-in.conf %{buildroot}%{_sysconfdir}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%attr(644,root,root) %{_sysconfdir}/mplayerplug-in.conf
%attr(644,root,root) %{_sysconfdir}/mplayerplug-in.types
%{_mozillapluginpath}/mplayerplug-in.so
%{_mozillapluginpath}/mplayerplug-in-wmp.so
%{_mozillapluginpath}/mplayerplug-in-qt.so
%{_mozillapluginpath}/mplayerplug-in-rm.so
%{_mozillapluginpath}/mplayerplug-in-dvx.so
%{_mozillapluginpath}/mplayerplug-in.xpt
%{_mozillapluginpath}/mplayerplug-in-wmp.xpt
%{_mozillapluginpath}/mplayerplug-in-qt.xpt
%{_mozillapluginpath}/mplayerplug-in-rm.xpt
%{_mozillapluginpath}/mplayerplug-in-dvx.xpt


%changelog
* Fri Aug 12 2011 Texstar <texstar at gmail.com> 3.5.5-7pclos2011
- for 64 bit pclos
